| Irrlicht 3D Engine |

Classes | Namespaces
IFileSystem.h File Reference
`#include "IReferenceCounted.h"`
`#include "IXMLReader.h"`
`#include "IFileArchive.h"`

Go to the source code of this file.

## Classes

- class irr::io::IFileSystem
    The FileSystem manages files and archives and provides access to them. More...

## Namespaces

- namespace irr

    Everything in the Irrlicht Engine can be found in this namespace.

- namespace irr::io

    This namespace provides interfaces for input/output: Reading and writing files, accessing zip archives, xml files, ...

- namespace irr::video

    The video namespace contains classes for accessing the video driver. All 2d and 3d rendering is done here.